/* Speeder.java computes an object's speed, given its distance and time.
 * Input:  The distance (meters) and the time (seconds)
 * Output: The speed (km/hr)
 */

import ann.easyio.*;               // Keyboard, Screen

class Speeder
{
  public static void main(String [] args)
  {
    final int METERS_PER_KILOMETER = 1000;
    final int SECONDS_PER_HOUR     = 3600;

    Screen theScreen = new Screen();
    theScreen.print("To compute the speed for a distance traveled" +
                      "\n enter the distance (in meters): ");
    Keyboard theKeyboard = new Keyboard();
    double meters = theKeyboard.readDouble();

    theScreen.print(" enter the time (seconds): ");
    double seconds = theKeyboard.readDouble();

    double metersPerSecond = meters / seconds;
    double kilometersPerSecond = metersPerSecond / METERS_PER_KILOMETER;
    double kilometersPerHour = kilometersPerSecond * SECONDS_PER_HOUR;
      
    theScreen.println("\nThe speed is " + kilometersPerHour + 
                        " km/hour,");
  }
}

